powered by Jive Software

Norman Rasmussen's NTLM on openfire 3.4.x

http://norman.rasmussen.co.za/dl/sasl-sspi/

Prior to v7, to make it work with Openfire 3.4.1 you had to replace sasl-sspi.jar with the one attached to this document (source code of StdFactoryImpl.java also attached). v7 has been updated to work with Openfire 3.4.1, so no extras required.

I’ve updated the download to Version 7, which works ‘out-of-the-box’ with 3.4.1 without any changes.

By the way I compiled C++ part of Norman Rasmussen’s NTLM on x64

http://www.igniterealtime.org/community/docs/DOC-1331,

dombiak_gaston says -

“For Openfire 3.5.0 the way SASL works was modified to follow more the Java style.”

vanaf, this link http://www.igniterealtime.org/community/docs/DOC-1331 help with norman+3.5.0 ? You can help with set of work norman + 3.5.0?

victorae I think current ?++ part of Norman Rasmussen’s NTLM plugin will work well on Openfire 3.5.0

The problem is with Java part…

If Norman will not relese new version of his plugin when the official version of openfire 3.5.0 will be avaible, I’ll try to make it independently.,

I wathed out svn and didn’t find any changes in Sasl part of openfire’s API from 3.4.x to 3.5.x

So I think it’s more likely Openfire’s bug, but not feature,

Make sure you reinstall the security provider in jre/lib/security/java.security after upgrading any jre. It gets cleared by the installer.